//po4a: entry man manual
// Copyright (c) 2017 Sami Kerola
// The 3-Clause BSD License
= uuidparse(1)
:doctype: manpage
:man manual: User Commands
:man source: util-linux {release-version}
:page-layout: base
:command: uuidparse

== NAME

uuidparse - a utility to parse unique identifiers

== SYNOPSIS

*uuidparse* [options] _uuid_

== DESCRIPTION

This command will parse unique identifier inputs from either command line arguments or standard input. The inputs are white-space separated.

== OUTPUT

=== Variants

[cols=",",]
|===
|NCS |Network Computing System identifier. These were the original UUIDs.
|DCE |The Open Software Foundation's (OSF) Distributed Computing Environment UUIDs.
|Microsoft |Microsoft Windows platform globally unique identifier (GUID).
|other |Unknown variant. Usually invalid input data.
|===

=== Types

[cols=",",]
|===
|nil |Special type for zero in type file.
|time-based |The DCE time based.
|DCE |The DCE time and MAC Address.
|name-based |RFC 4122 md5sum hash.
|random |RFC 4122 random.
|sha1-based |RFC 4122 sha-1 hash.
|unknown |Unknown type. Usually invalid input data.
|===

== OPTIONS

*-J*, *--json*::
Use JSON output format.

*-n*, *--noheadings*::
Do not print a header line.

*-o*, *--output*::
Specify which output columns to print. Use *--help* to get a list of all supported columns.

*-r*, *--raw*::
Use the raw output format.

include::man-common/help-version.adoc[]

== AUTHORS

mailto:kerolasa@iki.fi[Sami Kerola]

== SEE ALSO

*uuidgen*(1),
*libuuid*(3),
https://tools.ietf.org/html/rfc4122[RFC 4122]

include::man-common/bugreports.adoc[]

include::man-common/footer.adoc[]

ifdef::translation[]
include::man-common/translation.adoc[]
endif::[]
